
package com.jeelowcode.module.biz.service;

import java.util.List;
import java.util.Map;

/**
 * Demo相关
 */
public interface IWorkItemService {

    Map<String, Object> getWorkItemById(long id);

    Map<String, Object> getItemResultById(long id);

    List<Map<String, Object>> getItemResultByItemId(Long workItemId);


    /**
     * 工作事项推送待办完成
     *
     * @param id 流程id
     * @return boolean 推送结果
     */
    boolean pushTodoWorkItemWorkflow(Long workItemId,Long itemResultId, String todoType);

    /**
     * 工作事项推送待办取消
     *
     * @param id 待办id
     * @return boolean 推送结果
     */
    boolean pushCancelWorkItemWorkflow(Long id);
}
